Lists all active documents within a specific folder, filtered by user permissions.
curl --request GET \
--url https://{install}/api/docs/folder/{folderId}/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/docs/folder/{folderId}/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/docs/folder/{folderId}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/docs/folder/{folderId}/list");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"entity": "<string>",
"folderId": "<string>",
"name": "<string>",
"context": [
{
"owner": 123,
"ownerId": "<string>"
}
],
"restrictedTo": [
"<string>"
],
"aiAccess": true,
"archived": true,
"author": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Docs
Lists all active documents within a specific folder, filtered by user permissions.
GET
/
api
/
docs
/
folder
/
{folderId}
/
list
Lists all active documents within a specific folder, filtered by user permissions.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
The unique identifier of the folder whose documents to list.
Response
List of documents in the folder.
Updates an existing document folder by its identifier.
Previous
Downloads a file's binary content from storage.
Next
⌘I